using UnityEngine;
using System.Collections.Generic;

public class FlyScript : ScenarioObject {

    // TODO: Animate the object and create logic for the catch so it doesn't fly away unless the players release it

    private bool stopMovement = false;

    protected override void Update() {
        base.Update();

        MoveFly();
    }

    private void MoveFly() {
        if (!stopMovement) {
            // TODO: Animate
            
        }
    }

    private void OnTriggerEnter(Collider other) {
        stopMovement = true;
    }

    private void OntriggerExit(Collider other) {
        stopMovement = false;
    }
}
